openSUSE 15 Security Update : xtrabackup (openSUSE-SU-2022:10212-1)

medium Nessus Plugin ID 168155

Language:

Synopsis

The remote SUSE host is missing one or more security updates.

Description

The remote SUSE Linux SUSE15 host has packages installed that are affected by multiple vulnerabilities as referenced in the openSUSE-SU-2022:10212-1 advisory.

- Percona XtraBackup before 2.4.20 unintentionally writes the command line to any resulting backup file output. This may include sensitive arguments passed at run time. In addition, when --history is passed at run time, this command line is also written to the PERCONA_SCHEMA.xtrabackup_history table.
(CVE-2020-10997)

Note that Nessus has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Update the affected xtrabackup and / or xtrabackup-test packages.

See Also

https://bugzilla.suse.com/1125418

https://bugzilla.suse.com/1135095

https://bugzilla.suse.com/1170644

https://bugzilla.suse.com/1205581

http://www.nessus.org/u?5abbe807

https://www.suse.com/security/cve/CVE-2020-10997

https://www.suse.com/security/cve/CVE-2020-29488

Plugin Details

Severity: Medium

ID: 168155

File Name: openSUSE-2022-10212-1.nasl

Version: 1.2

Type: local

Agent: unix

Published: 11/24/2022

Updated: 11/24/2022

Supported Sensors: Frictionless Assessment AWS, Frictionless Assessment Azure, Frictionless Assessment Agent, Nessus Agent

Risk Information

VPR

Risk Factor: Low

Score: 3.6

CVSS v2

Risk Factor: Medium

Base Score: 4

Temporal Score: 3

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:N/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS Score Source: CVE-2020-10997

CVSS v3

Risk Factor: Medium

Base Score: 6.5

Temporal Score: 5.7

Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: p-cpe:2.3:a:novell:opensuse:xtrabackup:*:*:*:*:*:*:*, p-cpe:2.3:a:novell:opensuse:xtrabackup-test:*:*:*:*:*:*:*, cpe:2.3:o:novell:opensuse:15.4:*:*:*:*:*:*:*

Required KB Items: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

Exploit Ease: No known exploits are available

Patch Publication Date: 11/23/2022

Vulnerability Publication Date: 4/27/2020

Reference Information

CVE: CVE-2020-10997, CVE-2020-29488